#include <stdio.h>
#include <ldap.h>

#define ENTRYDN "cn=Babs Jensen, o=Ace Industry, c=US"
#define ENTRYPW "secret"

main()
{
 	LDAP		*ld;
 	LDAPMod		mod;
 	LDAPMod		*mods[2];
	char		*vals[2];

 	/* get a handle to an LDAP connection */
 	if ( (ld = ldap_init( "ldap.netscape.com", LDAP_PORT ))
 	   == NULL ) {
 		perror( "ldap_init" );
 		return( 1 );
 	}
 	/* authenticate */
 	if ( ldap_simple_bind_s( ld, ENTRYDN, ENTRYPW )
 	   != LDAP_SUCCESS ) {
 		ldap_perror( ld, "ldap_simple_bind_s" );
 		return( 1 );
 	}
 	/* construct the list of modifications to make */
	mod.mod_op = LDAP_MOD_REPLACE;
 	mod.mod_type = "mail";
 	vals[0] = "babs@ace.com";
 	vals[1] = NULL;
 	mod.mod_values = vals;
 	mods[0] = &mod;
 	mods[1] = NULL;
 	/* make the change */
 	if ( ldap_modify_s( ld, "cn=Babs Jensen, o=Ace Industry, c=US",
	    mods ) != LDAP_SUCCESS ) {
 		ldap_perror( ld, "ldap_modify_s" );
 		return( 1 );
 	}
	ldap_unbind( ld );
 	return( 0 ); 
}
