#include <stdio.h>
#include <ldap.h>
 
#define ADMINDN	"cn=Directory Admin, o=Ace Industry, c=US"
#define ADMINPW	"secret"
#define ENTRYDN	"cn=Gern Jensen, o=Ace Industry, c=US"
 
main( int argc, char **argv )
{
	LDAP		*ld;
 
	/* initialize the LDAP session */
	if ( (ld = ldap_init( "ggood", LDAP_PORT ))
	   == NULL) {
		perror( "ldap_init" );
		exit( 1 );
	}
 
	/* authenticate to the LDAP server */
	if ( ldap_simple_bind_s( ld, ADMINDN, ADMINPW )
	    != LDAP_SUCCESS ) {
		ldap_perror( ld, "ldap_simple_bind_s" );
		exit( 1 );
	}
 
	/* delete the entry */
	if ( ldap_delete_s( ld, ENTRYDN ) != LDAP_SUCCESS ) {
		ldap_perror( ld, "ldap_add_s" );
		exit( 1 );
	}
 
	/* clean up */
	ldap_unbind( ld );
	return( 0 );
}
