#include <stdio.h>
#include <ldap.h>

main()
{
	LDAP	*ld;

	if ( (ld = ldap_init( "ggood", LDAP_PORT ))
	    == NULL ) {
		perror( "ldap_init" );
		exit( 1 );
	}

#ifdef LDAP_OPT_ON	/* Netscape SDK:  use ldap_set_option() */
	if ( ldap_set_option( ld, LDAP_OPT_REFERRALS, LDAP_OPT_OFF )
	    != 0 ) {
		ldap_perror( ld, "ldap_set_option" );
	}
#else			/* U-M SDK:  directly access LDAP handle */
	ld->ld_options &= ~LDAP_OPT_REFERRALS;
#endif

	/* do some real work here: LDAP search, modify, etc. */

	ldap_unbind( ld );
	exit( 0 );
}
